using Journal.Core.Dtos;

namespace Journal.Core.Services.Todos;

public interface ITodoService
{
    List<TodoListDto> GetAllLists();
    TodoListDto? GetListById(Guid id);
    TodoListDto CreateList(CreateTodoListDto dto);
    bool UpdateList(Guid id, UpdateTodoListDto dto);
    bool RemoveList(Guid id);

    TodoItemDto CreateItem(CreateTodoItemDto dto);
    bool UpdateItem(Guid id, UpdateTodoItemDto dto);
    bool RemoveItem(Guid id);
}
